Skip to main content
Version: V4.0

Customer Service API


Get Message List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
message_idStringBodyMessage ID
message_titleStringBodyMessage title
message_contentStringBodyMessage content
message_modeStringBodyMessage mode, all or device or mobile
residences[]Object<residence>BodyResidence information

residence description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_message_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"message_id": "mfa332e258aae1badbb27d31128f442d2",
"message_title": "test",
"message_content": "test",
"message_mode": "user",
"residences": [
{
"residence_id": "rafa332e258aae1badbb27d31128f442d"
}
]
}
]
}

Failure Return Example

See Failure Return Example



Get Message Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
message_idStringBodyYesMessage ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
message_titleStringBodyMessage title
message_contentStringBodyMessage content
message_modeStringBodyMessage mode, all or device or mobile
residences[]Object<residence>BodyResidence information

residence description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_message_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"message_id": "mfa332e258aae1badbb27d31128f442d2"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"message_title": "test",
"message_content": "test",
"message_mode": "user",
"residences": [
{
"residence_id": "rafa332e258aae1badbb27d31128f442d"
}
]
}
}

Failure Return Example

See Failure Return Example



Create Message Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
message_titleStringBodyYesMessage title
message_contentStringBodyYesMessage content
message_modeStringBodyYesMessage mode, all or device or mobile
residences[]Object<residence>BodyYesResidence information

residence description

Parameter NameTypeLocationRequiredDescription
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
message_idStringBodyMessage ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_message_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"message_title": "test",
"message_content": "test",
"message_mode": "user",
"residences": [
{
"residence_id": "rafa332e258aae1badbb27d31128f442d"
}
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"message_id": "mbafa332e258aae1badbb27d31128f446"
}
}

Failure Return Example

See Failure Return Example



Delete Message Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
message_idStringBodyYesMessage ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_message_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"message_id": "m8b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Announcement Type List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
announcement_type_idStringBodyAnnouncement type ID
announcement_type_nameStringBodyAnnouncement type name
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_announcement_type_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"announcement_type_id": "afa332e258aae1badbb27d31128f442d2",
"announcement_type_name": "test",
"created_time": "2024-07-23 17:13:53"
}
]
}

Failure Return Example

See Failure Return Example



Get Announcement Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_type_idStringBodyYesAnnouncement type ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
announcement_type_nameStringBodyAnnouncement type name
created_timeStringBodyCreated time, UTC

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_announcement_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_type_id": "afa332e258aae1badbb27d31128f442d2"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"announcement_type_name": "test",
"created_time": "2024-07-23 17:13:53"
}
}

Failure Return Example

See Failure Return Example



Create Announcement Type Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_type_nameStringBodyYesAnnouncement type name

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
announcement_type_idStringBodyAnnouncement type ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_announcement_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_type_name": "test"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"announcement_type_id": "abafa332e258aae1badbb27d31128f446"
}
}

Failure Return Example

See Failure Return Example



Update Announcement Type Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_type_idStringBodyYesAnnouncement type ID
announcement_type_nameStringBodyYesAnnouncement type name

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_announcement_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_type_id": "abafa332e258aae1badbb27d31128f446",
"announcement_type_name": "test"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Announcement Type Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_type_idStringBodyYesAnnouncement Type ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_announcement_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_type_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Announcement List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
announcement_idStringBodyAnnouncement ID
announcement_type_idStringBodyAnnouncement type ID
announcement_titleStringBodyAnnouncement title
is_publishedBooleanBodyWhether the announcement is published or not?
true: published
false: unpublished
buildings[]Object<building>BodyBuilding information
created_timeStringBodyCreated time, UTC
published_timeStringBodyPublished time, UTC

building description

Parameter NameTypeLocationDescription
building_idStringBodyBuilding ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_announcement_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"announcement_id": "afa332e258aae1badbb27d31128f442d2",
"announcement_type_id": "aga332e258aae1badbb27d31128f442d2",
"announcement_title": "test",
"is_published": true,
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d"
}
],
"created_time": "2025-07-23 17:12:53",
"published_time": "2025-07-30 17:12:53"
}
]
}

Failure Return Example

See Failure Return Example



Get Announcement Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_idStringBodyYesAnnouncement ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
announcement_type_idStringBodyAnnouncement type ID
announcement_titleStringBodyAnnouncement title
announcement_contentStringBodyAnnouncement content
is_publishedBooleanBodyWhether the announcement is published or not?
true: published
false: unpublished
created_timeStringBodyCreated time, UTC
published_timeStringBodyPublished time, UTC
buildings[]Object<building>BodyBuilding information
residences[]Object<residence>BodyResidence information

building description

Parameter NameTypeLocationDescription
building_idStringBodyBuilding ID

residence description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_announcement_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_id": "afa332e258aae1badbb27d31128f442d2"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"announcement_type_id": "a8b5a73f8dd84abaa94dcs248be49b0d1",
"announcement_title": "test",
"announcement_content": "test",
"is_published": true,
"created_time": "2025-07-23 17:12:53",
"published_time": "2025-07-30 17:12:53",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d"
}
],
"residences": []
}
}

Failure Return Example

See Failure Return Example



Create Announcement Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_type_idStringBodyYesAnnouncement type ID
announcement_titleStringBodyYesAnnouncement title
announcement_contentStringBodyYesAnnouncement content
buildings[]Object<building>BodyYesBuilding information
residences[]Object<residence>BodyYesResidence information

building description

Parameter NameTypeLocationRequiredDescription
building_idStringBodyYesBuilding ID

residence description

Parameter NameTypeLocationRequiredDescription
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
announcement_idStringBodyAnnouncement ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_announcement_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_type_id": "a8b5a73f8dd84abaa94dcs248be49b0d1",
"announcement_title": "test",
"announcement_content": "test",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d"
}
],
"residences": []
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"announcement_id": "abafa332e258aae1badbb27d31128f446"
}
}

Failure Return Example

See Failure Return Example



Update Announcement Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_idStringBodyYesAnnouncement ID
announcement_type_idStringBodyYesAnnouncement type ID
announcement_titleStringBodyYesAnnouncement title
announcement_contentStringBodyYesAnnouncement content
buildings[]Object<building>BodyYesBuilding information
residences[]Object<residence>BodyYesResidence information

building description

Parameter NameTypeLocationRequiredDescription
building_idStringBodyYesBuilding ID

residence description

Parameter NameTypeLocationRequiredDescription
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_announcement_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_id": "abafa332e258aae1badbb27d31128f446",
"announcement_type_id": "a8b5a73f8dd84abaa94dcs248be49b0d1",
"announcement_title": "test",
"announcement_content": "test",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d"
}
],
"residences": []
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Publish Announcement Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_idStringBodyYesAnnouncement ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "publish_announcement_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete Announcement Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
announcement_idStringBodyYesAnnouncement ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_announcement_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"announcement_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example